#include <syslog.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <check.h>

#include "base/util.h"

START_TEST (test_pipe2_wrapper)
{
    int rval, fd[2];

    memset(fd, 0, sizeof(fd));
    rval = pipe2_wrapper(fd);
    ck_assert_int_eq(rval, 0);

    ck_assert_int_ne(fd[0], 0);
    ck_assert_int_ne(fd[1], 0);
}
END_TEST

Suite *f_suite()
{
    Suite *s;
    TCase *tc;

    s = suite_create("base-util");
    tc = tcase_create("base-util");

    tcase_add_test(tc, test_pipe2_wrapper);
    suite_add_tcase(s, tc);

    return s;
}

int main()
{
    Suite *s;
    SRunner *sr;
    int failed;

    s = f_suite();
    sr = srunner_create(s);

    srunner_run_all(sr, CK_NORMAL);
    failed = srunner_ntests_failed(sr);
    srunner_free(sr);

    return (failed == 0) ? EXIT_SUCCESS : EXIT_FAILURE;
}
