#include <syslog.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

#include <check.h>

START_TEST (test_client_name)
{
    char buf[25];
    int l;

    printf("foo\n");
    l = snprintf(buf, 25, "%.15s:%05d.%02d", "255.255.255.255", 12345, 12);
    ck_assert_msg(l < 25, "client name truncated");
}
END_TEST

Suite *f_suite()
{
    Suite *s;
    TCase *tc_client_name;

    s = suite_create("ds485n");
    tc_client_name = tcase_create("client_name");

    tcase_add_test(tc_client_name, test_client_name);
    suite_add_tcase(s, tc_client_name);

    return s;
}

int main()
{
    Suite *s;
    SRunner *sr;
    int failed;

    s = f_suite();
    sr = srunner_create(s);

    srunner_run_all(sr, CK_NORMAL);
    failed = srunner_ntests_failed(sr);
    srunner_free(sr);

    return (failed == 0) ? EXIT_SUCCESS : EXIT_FAILURE;
}
